{"id":"get-deposit-referencenumber-accountingdata","name":"/deposit/{referenceNumber}/accountingData - GET","method":"GET","urlTemplate":"/deposit/{referenceNumber}/accountingData","templateParameters":[{"name":"referenceNumber","type":"string","required":true,"values":[],"schemaId":"6ae12969bf455a01a40e2cd4","typeName":"ReferenceNumber"}],"description":"Returns the data in XBRL or JSON format of an annual account.","request":{"queryParameters":[],"headers":[{"name":"X-Request-Id","description":"Tracking id (type-4 UUID) of the request, used for debugging and tracability.","type":"string","format":"uuid","required":true,"values":[],"schemaId":"6ae12969bf455a01a40e2cd4","typeName":"Parameter-X-Request-Id"}],"representations":[]},"responses":[{"statusCode":200,"description":"accounting information for the deposit. This information is returned as a file content\nSelection is made based on the \"Accept\" header of the request. ","representations":[{"contentType":"application/pdf","examples":{"default":{}},"schemaId":"6ae12969bf455a01a40e2cd4","typeName":"200-accDataResponse-pdf"},{"contentType":"application/x.xbrl","examples":{"default":{}},"schemaId":"6ae12969bf455a01a40e2cd4","typeName":"200-accDataResponse-x-xbrl"},{"contentType":"application/x.jsonxbrl","examples":{"default":{"value":"string"}},"schemaId":"6ae12969bf455a01a40e2cd4","typeName":"200-accDataResponse-x-jsonxbrl"}],"headers":[]},{"statusCode":400,"description":"default error response based on problem","representations":[{"contentType":"application/problem+json","examples":{"default":{"value":{"title":"string","status":0,"path":"string","timestamp":"string","violations":[{"field":"string","messageKey":"string","defaultMessage":"string"}]}}},"schemaId":"6ae12969bf455a01a40e2cd4","typeName":"ThrowableProblem"}],"headers":[]},{"statusCode":500,"description":"default error response based on problem","representations":[{"contentType":"application/problem+json","examples":{"default":{"value":{"title":"string","status":0,"path":"string","timestamp":"string","violations":[{"field":"string","messageKey":"string","defaultMessage":"string"}]}}},"schemaId":"6ae12969bf455a01a40e2cd4","typeName":"ThrowableProblem"}],"headers":[]}]}